%define	name	freelords
%define	version	0.3.3
%define	release	2mdk
%define	Summary	A Linux clone of the old dos game W*arLords.

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source:		%{name}-%{version}.tar.bz2
Patch0:         freelords-0.3.3-gcc34.patch.bz2
URL:		http://sourceforge.net/projects/freelords/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsigc++1.2-devel >= 1.2.0 paragui-devel >= 1.0.4 SDL_image-devel >= 1.2.0
BuildRequires:	ImageMagick
Obsoletes:	freelords-cvs-sdl
Provides:	freelords-cvs-sdl


%description
FreeLords is a turn-based strategy game similar to W*rl*rds. 
It can be played with friends on one computer or via a network.

%prep
%setup -q
%patch0 -p0

%build 

export LD_LIBRARY_PATH=/usr/X11R6/lib
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert dat/various/sword.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert dat/various/sword.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert dat/various/sword.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
  
#fix config location
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}/%{_datadir}/games/%{name}/freelordsrc %{buildroot}%{_sysconfdir}/freelordsrc
ln -s %{_sysconfdir}/freelordsrc %{buildroot}/%{_datadir}/games/%{name}/freelordsrc

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{_gamesbindir}/%{name}" \
	icon="%{name}.png" \
	title="FreeLords" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="More Applications/Games/Strategy"
EOF

%find_lang %{name} 

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files  -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog DEPENDENCIES HACKER INSTALL NEWS README TODO
%doc doc/*
%config(noreplace) %{_sysconfdir}/freelordsrc
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name} 
%{_menudir}/%{name} 
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_gamesdatadir}/locale
%lang(de) %{_gamesdatadir}/locale/*/*/%{name}.mo
%lang(it) %{_gamesdatadir}/locale/*/*/%{name}.mo

%changelog
* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.3-2mdk
- rebuild for new menu
* Fri Jul 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.3-1mdk
- 0.3.3
- rediff patch 
- adjust locatin for config file
- fix Section in menu
- update file list

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.3.2-3mdk
- rebuild for new gcc ( patch 0 )
 
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-2mdk
- buildrequires

* Thu Feb 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- 0.3.2
- cleanup

* Fri Jan 02 2004 Charles A Edwards <eslrahc@mandrake.org>  0.3.1-1mdk
- 0.3.1
- make sure extra doc is added

* Thu Oct 16 2003 Charles A Edwards <eslrahc@bellsouth.net>  0.3.0-1mdk
- first Mdk pkg (this obsoletes the cvs release)





